<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Ejemplo js</title>
</head>
<body>
    
    <script>
    

/* 
        o.nombreCompleto = () => `${this.nombre} ${this.apellidos}`;
        o.nombreCompleto = function () {return this.nombre + this.apellido;}
        console.log(o);
        o.nombreCompleto.bind(o);
        console.log(o);
        console.log(o.nombreCompleto());
        console.log(o.nombreCompleto);
        console.log(o.nombreCompleto.prototype);
        console.log(o.nombreCompleto()); */

        class Persona  {
            constructor(nombre, apellido) {
                this.nombre = nombre;
                this.apellido = apellido;
            }
        }
        let o = new Persona('Paco', 'Porras');
        console.log(o);
        console.log(o instanceof Persona);
        console.log(o instanceof Object);

        let cad = prompt('dame tu nombre');
        
        
    </script>
    <script src="./js/demos.js"></script>
</body>
</html>